/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.custom.entity.gs.GdQualityStatis;
import com.tofly.xrtygis.custom.entity.gs.RecordStatis;
import com.tofly.xrtygis.custom.entity.gs.StatisEntity;
import com.tofly.xrtygis.entity.Pfrecord;

import java.util.List;

/**
 * 评分记录表
 *
 * @author wangjieliu
 * @date Thu Jun 17 00:00:00 CST 2021
 */
public interface PfrecordService extends IService<Pfrecord> {

    List<GdQualityStatis> getQualityStatis();

    List<RecordStatis> getRecordStatis();

    IPage<Pfrecord> getGdQuality(Page page, StatisEntity entity);

    IPage<Pfrecord> getLyQuality(Page page, StatisEntity entity);

    boolean updateGdQualityState(String pfGdbh);
}
